Plesk\backup\Agent\Schema\Backup\Mailuser\MailuserAType\PreferencesAType:
    properties:
        mailbox:
            expose: true
            access_type: public_method
            serialized_name: mailbox
            xml_element:
                cdata: false
            accessor:
                getter: getMailbox
                setter: setMailbox
            type: Plesk\backup\Agent\Schema\Backup\Mailbox
        alias:
            expose: true
            access_type: public_method
            serialized_name: alias
            xml_element:
                cdata: false
            accessor:
                getter: getAlias
                setter: setAlias
            xml_list:
                inline: true
                entry_name: alias
            type: array<string>
        forwarding:
            expose: true
            access_type: public_method
            serialized_name: forwarding
            xml_element:
                cdata: false
            accessor:
                getter: getForwarding
                setter: setForwarding
            xml_list:
                inline: true
                entry_name: forwarding
            type: array<string>
        autoresponders:
            expose: true
            access_type: public_method
            serialized_name: autoresponders
            xml_element:
                cdata: false
            accessor:
                getter: getAutoresponders
                setter: setAutoresponders
            type: Plesk\backup\Agent\Schema\Backup\Autoresponders
        addressbook:
            expose: true
            access_type: public_method
            serialized_name: addressbook
            xml_element:
                cdata: false
            accessor:
                getter: getAddressbook
                setter: setAddressbook
            type: Plesk\backup\Agent\Schema\Backup\Addressbook
        spamassassin:
            expose: true
            access_type: public_method
            serialized_name: spamassassin
            xml_element:
                cdata: false
            accessor:
                getter: getSpamassassin
                setter: setSpamassassin
            type: Plesk\backup\Agent\Schema\Backup\Spamassassin
        virusfilter:
            expose: true
            access_type: public_method
            serialized_name: virusfilter
            xml_element:
                cdata: false
            accessor:
                getter: getVirusfilter
                setter: setVirusfilter
            type: Plesk\backup\Agent\Schema\Backup\Virusfilter
        descriptions:
            expose: true
            access_type: public_method
            serialized_name: descriptions
            xml_element:
                cdata: false
            accessor:
                getter: getDescriptions
                setter: setDescriptions
            type: array<Plesk\backup\Agent\Schema\Backup\Descriptions\DescriptionsAType\DescriptionAType>
            xml_list:
                inline: false
                entry_name: description
                skip_when_empty: true
        outgoingMessages:
            expose: true
            access_type: public_method
            serialized_name: outgoing-messages
            xml_element:
                cdata: false
            accessor:
                getter: getOutgoingMessages
                setter: setOutgoingMessages
            type: array<Plesk\backup\Agent\Schema\Backup\OutgoingMessages\OutgoingMessagesAType\ParameterAType>
            xml_list:
                inline: false
                entry_name: parameter
                skip_when_empty: true
